Subject: bug#35359: docker-image produces corrupt tar

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 22 Apr 2019 18:10:46 +0200

rendaw <[email-masked]> writes:

> Thanks! I just did `guix pull` and forced an image rebuild (by changing
> host-name)

Changing the host name is not needed.  After getting the new Guix most
of the packages that should end up in the image would be updated
anyway.

> but I get the same tar error.

I’m guessing that you are not actually using the pulled Guix because
your shell may have cached the former location of the “guix”
executable.  Please try again with ~/.config/guix/current/bin/guix
instead of just “guix”.

You can also run “hash guix” in Bash to invalidate the cache.

-- 
Ricardo